# DocumentDetectionStatus enum

Status of the document detection.

Inheritance
  - Object
  - Enum
  - DocumentDetectionStatus
Available extensions
  - EnumName

## Values

NOT_ACQUIRED → const DocumentDetectionStatus

  Detection has not yet happened.

OK → const DocumentDetectionStatus

  An acceptable document was detected.

OK_BUT_TOO_SMALL → const DocumentDetectionStatus

  A document was detected, but it is too small.

OK_BUT_BAD_ANGLES → const DocumentDetectionStatus

  A document was detected, but it has too much perspective distortion.

OK_BUT_BAD_ASPECT_RATIO → const DocumentDetectionStatus

  A document was detected, but its aspect ratio is not acceptable.

OK_BUT_ORIENTATION_MISMATCH → const DocumentDetectionStatus

  A document was detected, but its orientation does not match the input image orientation.

OK_BUT_OFF_CENTER → const DocumentDetectionStatus

  A document was detected, but its center is too far away from the input image center.

OK_BUT_TOO_DARK → const DocumentDetectionStatus

  A document was detected, but it is too dark.

ERROR_NOTHING_DETECTED → const DocumentDetectionStatus

  No document was detected.

ERROR_TOO_DARK → const DocumentDetectionStatus

  No document was detected, likely because the input image is too dark.

ERROR_TOO_NOISY → const DocumentDetectionStatus

  No document was detected, likely because the input image is too noisy or has a complex background.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DocumentDetectionStatus>
  A constant List of the values in this enum, in order of their declaration.